const app = getApp()

Page({
  data: {
    settleDay: 7, // 结算天数
    minWithdraw: 50, // 最低提现金额
    withdrawTimes: 3, // 每月提现次数
    levelList: [{
      name: '普通推广员',
      commission: 10,
      teamCommission: 0
    }, {
      name: '高级推广员',
      commission: 15,
      teamCommission: 3
    }, {
      name: '金牌推广员',
      commission: 20,
      teamCommission: 5
    }, {
      name: '钻石推广员',
      commission: 25,
      teamCommission: 8
    }]
  },

  onLoad() {
    this.getRulesConfig()
  },

  // 获取规则配置
  getRulesConfig() {
    // TODO: 调用后端API获取规则配置
    // 这里使用模拟数据
  },

  // 联系客服
  contactService() {
    wx.openCustomerServiceChat({
      extInfo: { url: '' }, // 客服页面路径
      corpId: '', // 企业ID
      success(res) {
        console.log('打开客服会话成功')
      },
      fail(err) {
        wx.showToast({
          title: '打开客服会话失败',
          icon: 'none'
        })
      }
    })
  },

  onShareAppMessage() {
    return {
      title: '分销规则说明',
      path: '/pages/distribution/rules'
    }
  }
}) 