// 最小化的深色模式工具
const DarkModeUtil = {
  // 获取当前深色模式状态
  isDarkMode() {
    return false;
  },

  // 应用深色模式到页面
  applyPageDarkMode(page) {
    page.setData({ isDarkMode: false });
  },

  // 监听深色模式变化
  listenDarkModeChange() {},

  // 获取深色模式下的颜色
  getColor(lightColor) {
    return lightColor;
  }
}

module.exports = DarkModeUtil; 